Bug 71255 - The PNG versions of icons in /var/www/icons lack transparency
The PNG versions of icons in /var/www/icons lack transparency
Product: Red Hat Linux
Classification: Retired
Component: apache (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-08-11 03:52 EDT by David Nečas
Modified: 2007-04-18 12:45 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-21 06:22:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David Nečas 2002-08-11 03:52:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
The PNGs don't contain tRNS chunk, so pixels with color index 0 (corresponding
to transparent in the GIFs) are opaque (light-blue).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
There's nothing to reproduce, look at the PNG chunks.

Or, one can view e.g. /var/www/icons/blank.png (should be completely
transparent) with any PNG capable tool (gqview,  mozilla) to see it's light-blue

Additional info:
Comment 1 Joe Orton 2004-09-21 06:22:21 EDT
This is deliberate AFAIK since MSIE does not support PNG transparency.
Comment 2 David Nečas 2004-09-21 06:34:34 EDT
I don't understand how a blue background which breaks the icons in all
browsers can help MSIE users (except as a inferiority complex cure,
because now they don't work for anyone instead of just them).

Note You need to log in before you can comment on or make changes to this bug.